Skip to Content
Reservations

Add a stay to a group booking

Toegang

Lid van de organisatie met dit recht:

  • reservations:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

POST
/orgs/{organizationId}/reservation-groups/{reservationGroupId}/stays

Creates another reservation (own terrain, dates and guests) in the group.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

reservationGroupId*string

Request Body

application/json
  1. body
customerId?string
checkIn*string
Formatdate-time
checkOut*string
Formatdate-time
preferredTerrainId?string
note?string
Lengthlength <= 2000
licensePlates?array<>
Default[]
numberOfAdults*integer
Range0 <= value <= 50
numberOfChildren?integer
Range0 <= value <= 50
Default0
numberOfToddlers?integer
Range0 <= value <= 50
Default0
numberOfAnimals?integer
Range0 <= value <= 20
Default0

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//reservation-groups/string/stays' \  -H 'Content-Type: application/json' \  -d '{  "checkIn": "2019-08-24T14:15:22Z",  "checkOut": "2019-08-24T14:15:22Z",  "numberOfAdults": 0}'
Example Response
null